DefaultEvictEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultEvictEventListener

    java.lang.Object
      org.hibernate.event.internal.DefaultEvictEventListener

All Implemented Interfaces:
  Serializable, EvictEventListener

    public class DefaultEvictEventListener

extends Object
implements EvictEventListener

Defines the default evict event listener used by hibernate for evicting entities in response to generated flush events. In particular, this implementation will remove any hard references to the entity that are held by the infrastructure (references held by application or other persistent instances are okay)

See Also:
  Serialized Form

Constructor Summary
`DefaultEvictEventListener()`

Method Summary
`protected void` | `doEvict(Object object, EntityKey key, EntityPersister persister, EventSource session)`
`void` | `onEvict(EvictEvent event)` Handle the given evict event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEvictEventListener

    public DefaultEvictEventListener()

Method Detail

### onEvict

    public void onEvict(EvictEvent event)
                 throws HibernateException

  Handle the given evict event.

  Specified by:
    `onEvict` in interface `EvictEventListener`
  Parameters:
    `event` - The evict event to be handled.
  Throws:
    `HibernateException`

### doEvict

    protected void doEvict(Object object,
                           EntityKey key,
                           EntityPersister persister,
                           EventSource session)
                    throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.